GET Search materials by name or type
GET /resources/materials/search: Search materials by name or type. Searches system materials and materials owned by the current user. The query matches
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/resource/get-resources-materials-search.md for this page in Markdown format
GET
Try it out https://api.rooom.com/resources/materials/searchScopes
material:readParameters
Query Parameters
| Name | Type | Description |
|---|---|---|
q | string | Search query for material name or material type (min. 2 characters) |
offset | number | Page number (default: 0) |
limit | number | Page size (default: 50) |
Responses
200Array of materials
400Invalid filter or pagination parameters
401Unauthorized
GET /resources/materials/search Search materials by name or type Searches system materials and materials owned by the current user. The query matches material names as well as material types. Required scopes: material:read q Search query for material name or material type (min. 2 characters) offset Page number (default: 0) limit Page size (default: 50)